<template>
  <div>
    <b-form-group label="Domicilio:" label-for="input-domicilio">
      <b-form-input
        id="input-domicilio"
        v-model="domicilio"
        type="text"
        @input="$parent.$emit('setDomicilio',domicilio)"
        required
        placeholder="Domicilio"
      />
    </b-form-group>
    <b-form-group label="Ciudad:" label-for="input-ciudad">
      <b-form-input
        id="input-ciudad"
        @input="$parent.$emit('setCiudad',ciudad)"
        v-model="ciudad"
        type="text"
        required
        placeholder="Ciudad"
      />
    </b-form-group>
  </div>
</template>
<script>
import EmisionDeCamposRequeridosMixin from "~/components/EmisionDeCamposRequeridosMixin.vue";
export default {
  mixins: [EmisionDeCamposRequeridosMixin],
  data: function() {
    return {
      domicilio: this.$attrs.domicilio,
      ciudad: this.$attrs.ciudad
    };
  },
  computed: {
    camposRequeridosCompletos: function() {
      if (this.$attrs.domicilio && this.$attrs.ciudad) {
        return true;
      }
      return false;
    }
  },
};
</script>